<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div *ngIf="task.externalState === externalStateEnum.Form">

  <div class="form-group w-100">
    <label
      class="w-100"
      for="selectEntity">
      Choix de l'entité de destination
    </label>
    <ng-select
      (search)="updateAvailableEntityList($event)"
      [(ngModel)]="selectedEntity"
      [items]="availableEntities"
      (change)="updateAvailableDeskboxList($event)"
      [multiple]="false"
      bindLabel="id"
      class="input-group ls-select w-100"
      clearAllText="Effacer"
      id="selectEntity"
      name="validators"
      placeholder="Choisissez une entité…"
      selectOnTab>
      <ng-template let-item="item" ng-option-tmp>
        <span>{{ item | ipngEntityName }}</span> <span class="discrete">{{ ' - ' + item.id }}</span>
      </ng-template>

      <ng-template let-item="item" let-clear="clear" ng-label-tmp>
        <span class="ng-value-label">{{ item | ipngEntityName }}</span>
      </ng-template>
    </ng-select>
  </div>


  <div class="form-group w-100" *ngIf="selectedEntity && availableDeskboxes && availableDeskboxes.length > 0">
    <label
      class="w-100"
      for="selectDestination">
      Choix de la boite aux lettres de destination
    </label>
    <ng-select
      (search)="updateAvailableDeskboxList($event)"
      [(ngModel)]="chosenDeskbox"
      [items]="availableDeskboxes"
      [multiple]="false"
      bindLabel="id"
      class="input-group ls-select w-100"
      clearAllText="Effacer"
      id="selectDestination"
      name="validators"
      placeholder="Choisissez un circuit…"
      selectOnTab>
      <ng-template let-item="item" ng-option-tmp>
        <span>{{ item | ipngDeskboxName }}</span> <span class="discrete">{{ ' - ' + item.id }}</span>
      </ng-template>

      <ng-template let-item="item" let-clear="clear" ng-label-tmp>
        <span class="ng-value-label"> {{ item | ipngDeskboxName }}</span>
      </ng-template>
    </ng-select>
  </div>


  <div *ngIf="selectedEntity && availableDeskboxes && availableDeskboxes.length <= 0">
    Aucun bureau IPNG n'est associé à cette entité.
  </div>


  <button
    type="button"
    class="btn btn-outline-primary"
    (click)="executeIpng()">
    Lancer IPNG
  </button>
</div>
